Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83267 - leaked error message on upgrade
Summary: leaked error message on upgrade
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: ttfonts-ja
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nakai
QA Contact: Bill Huang
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-02-01 04:54 UTC by R P Herrold
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-13 10:36:41 UTC


Attachments (Terms of Use)

Description R P Herrold 2003-02-01 04:54:46 UTC
This file not present error in the post install script is leaking an error
message -- a better fix would be to test for the existence of this (seemingly
old) file, before using it.


ttfonts-ja 100 % done
/usr/share/fonts/ja/TrueType /
sh: line 1: /usr/X11R6/lib/X11/fonts/encodings/microsoft-win3.1.enc: No such
file or directory
/


This bug similar to, but different from  83192

Comment 1 Nakai 2003-02-05 08:47:52 UTC
There is microsoft-win3.1.enc file in phoebe beta4, and
ttfonts-ja don't use that file directly.

$ rpm -qf /usr/X11R6/lib/X11/fonts/encodings/microsoft-win3.1.enc
XFree86-base-fonts-4.2.99.3-20030115.0
$ rpm -qf /usr/X11R6/bin/mkfontdir
XFree86-font-utils-4.2.99.3-20030115.0

I don't think this warning might happen on an usual environment.
Could you describe the detail set of yours? X, Red Hat Linux versions, etc..



Comment 2 R P Herrold 2003-02-05 15:30:59 UTC
stock RHL 8.0 with updates, going to Phoebe II

Comment 3 Leon Ho 2003-02-07 05:04:44 UTC
Here is what i got in when installing rawhide ttfonts-ja in Phoebe: 
 
Preparing...                
########################################### 
[100%] 
   1:ttfonts-ja             
########################################### 
[100%] 
[root@reflex BUILD]# 
 

Comment 4 Matt Wilson 2003-02-12 04:27:37 UTC
this should be fine now - can someone else verify?


Comment 5 Nakai 2003-02-13 10:36:41 UTC
Fixed in the latest ttfonts-ja now


Note You need to log in before you can comment on or make changes to this bug.